> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink a token

> Unlink a token. The token will be unlinked from the workspace. The token will not be deleted on chain nor the refId, only the link to the workspace will be removed.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml delete /tokenization/tokens/{id}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/tokens/{id}:
    delete:
      tags:
        - Tokenization
      summary: Unlink a token
      description: >-
        Unlink a token. The token will be unlinked from the workspace. The token
        will not be deleted on chain nor the refId, only the link to the
        workspace will be removed.
      operationId: unlink
      parameters:
        - name: id
          required: true
          in: path
          description: The token link id
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
          schema:
            type: string
      responses:
        '200':
          description: Token unlinked successfully
          content: {}
        '204':
          description: ''
          content: {}
        '404':
          description: Link did not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundException'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.tokenization.unlink(tokenizationApiUnlinkRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.tokenization().unlink(id);
        - lang: Python
          source: response = fireblocks.tokenization.unlink(id);
components:
  schemas:
    NotFoundException:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
          description: HTTP status code
          example: 404
        message:
          type: string
          description: Error message
        error:
          type: string
          description: Short description of the HTTP error
          example: Not Found
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````